<?php
include ("ust.php");
session_start(); ## -> Oturum Başlatıldı
$giris_kontrol = $_SESSION['kullanici_id']; if(empty($giris_kontrol)){echo '<meta http-equiv="refresh" content="0;URL=index.php">';}else{

## -> Silme İşlemi
$sil = g('sil');
switch($sil){
case "sil":

$id = g('id'); $id = mysql_real_escape_string($id);
$dosyabul=mysql_query("SELECT * FROM sliderler WHERE id='$id'"); 
$getir2=mysql_fetch_array($dosyabul); 
$resim = $getir2['resim'];
unlink('../'.$resim.'');
$sil = mysql_query("delete from asayfa_ayar where id='$id'") or die("Hata Olustu!");
if($sil){echo '<meta http-equiv="refresh" content="0;URL=asayfa.php?durum=basarili"> ';}
}
## ->  Silme İşlemi

$dilgoster = g("dilgoster");
$icerik_getir=mysql_query("SELECT * FROM diller WHERE id='$dilgoster'"); 
$getir=mysql_fetch_array($icerik_getir); 
$dil_g_u_baslik = $getir['baslik'];
?>
				<link href="assets/plugins/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
				<link rel="stylesheet" href="assets/plugins/html5-editor/bootstrap-wysihtml5.css" />
				<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
				<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
				<script src="core/dragon/jquery-1.11.2.js" type="text/javascript"></script>
				<script type="text/javascript" src="core/dragon/jquery-ui.js"></script>

				<div class="container-fluid">
              
				<?php // Bakım modu aktif ise tüm sayfalarda bakım uyarısı verir.
				if($geayar_bakim == "evet"){include("moduller/bakim-modul.php");} ?>
		
                <div class="row">
                <div class="col-12">

				<?php $durum = g('durum'); if($durum == "basarili") { ?>
				<div class="alert alert-success"> <i class="fa fa-check"></i> İşlem başarıyla gerçekleştirildi
				<button type="button" class="close" data-dismiss="alert" aria-label="Close"> </button>
				</div>
				<?php } ?>
				
				
			
				
                <div class="card">
                <div class="card-body">
				<div class="col-md-12">
				<div class="row">		
				<div class="col-md-8">
				<h4 class="card-title"><?php if(empty($dilgoster)){ echo "Türkçe";}else{ echo "$dil_g_u_baslik";}?> Anasayfa Yönetimi</h4>
                <h6 class="card-subtitle">Bu alandan sitenizde bulunan anasayfayı kolaylıkla yönetebilirsiniz</h6>
				</div>
				<div class="col-md-4">
				<?php 
				$islem = g("islem");
				if(empty($islem)){?>
				
				<div class="dropdown" style="float:right;margin-left:10px;">
				<button class="btn waves-effect waves-light btn-warning dropdown-toggle" type="button"  id="dropdownMenuButton2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				<i class="fa fa-language"></i> Göster
				</button>
				<div class="dropdown-menu" aria-labelledby="dropdownMenuButton2">
				
				<?php
		
				$dil_al = mysql_query("SELECT * FROM diller ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($dil_al)){
				$dil_g_id = $yaz['id'];
				$dil_g_baslik = $yaz['baslik'];
				$dil_g_resim = $yaz['resim'];
				
				echo '<a class="dropdown-item" href="asayfa.php?dilgoster='.$dil_g_id.'"><img src="../'.$dil_g_resim.'" width="26" height="26"></img> '.$dil_g_baslik.'</a>';
				
				}
				?>
				</div>
				</div>
				
				<a href="asayfa.php?islem=yeni">
				<button type="button" class="btn waves-effect waves-light btn-primary" style="float:right;">
				<i class="fa fa-plus-circle"></i> Yeni Modül Ekle
				</button>
				</a>
				<?php }else{ ?>
				<a href="asayfa.php">
				<button type="button" class="btn waves-effect waves-light btn-danger" style="float:right;">
				<i class="fa fa-times"></i> İptal
				</button>
				</a>
				<?php } ?>
				</div>
				</div>
				</div>
                
				
				
				
				
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->



				<?php if($islem == "yeni"){?>
				
<?php 
## -> Yeni Dil Ekleme
$ileri = g('ileri');
switch($ileri){
case "ekle":

$modul_deger = p("modul_deger");
$veri_dil = p("veri_dil");
		
if($modul_deger == "servisler"){$modul_tanim = "Servisler"; $modul_call = "servis-a-modul";}		
if($modul_deger == "bloglar"){$modul_tanim = "Bloglar"; $modul_call = "bloglar-a-modul";}		
if($modul_deger == "fotogaleri"){$modul_tanim = "Fotoğraf Galerisi"; $modul_call = "foto-galeri-a-modul";}		
if($modul_deger == "videogaleri"){$modul_tanim = "Video Galerisi"; $modul_call = "video-galeri-a-modul";}		
if($modul_deger == "musteri-yorumlari"){$modul_tanim = "Müşteri Yorumları"; $modul_call = "musteri-yorumlari-a-modul";}		
if($modul_deger == "paketler"){$modul_tanim = "Paketler"; $modul_call = "paketler-a-modul";}		
if($modul_deger == "projeler"){$modul_tanim = "Projeler"; $modul_call = "projeler-a-modul";}		
if($modul_deger == "referanslar"){$modul_tanim = "Referanslar"; $modul_call = "referanslar-a-modul";}		
if($modul_deger == "sayaclar"){$modul_tanim = "Sayaçlar"; $modul_call = "sayac-a-modul";}		
if($modul_deger == "urunler"){$modul_tanim = "Ürünler"; $modul_call = "urunler-a-modul";}		
if($modul_deger == "hizmetler"){$modul_tanim = "Hizmetler"; $modul_call = "hizmet-a-modul";}		
if($modul_deger == "bannerlar"){$modul_tanim = "Bannerlar"; $modul_call = "banner-a-modul";}		
if($modul_deger == "hizmet-bolgeleri"){$modul_tanim = "Hizmet Bölgeleri"; $modul_call = "hizmet-bolgeleri-a-modul";}		



$islemk_islem = "Anasayfaya yeni bir modül eklendi.";
include("moduller/islemkayit_modul.php");

$ekle_veri = mysql_query("INSERT INTO asayfa_ayar (modul_deger,modul_tanim,modul_call,veri_dil)VALUES('$modul_deger','$modul_tanim','$modul_call','$veri_dil')");

if($ekle_veri){echo '<meta http-equiv="refresh" content="0;URL=asayfa.php?durum=basarili"> '; }
else{ echo '<meta http-equiv="refresh" content="0;URL=asayfa.php?durum=hata"> '; }
break;
}
## -> Yeni Dil Ekleme
?>	
				<div class="col-lg-12">
                <div class="card card-outline-inverse">
                <div class="card-header">
                <h4 class="m-b-0 text-white">Anasayfa Yeni Modül Ekle</h4>
                </div>
				<form action="asayfa.php?islem=yeni&ileri=ekle" method="post" enctype="multipart/form-data">
		
				<div class="row p-t-20">
				<div class="col-md-12">
               	<div class="col-md-12">
				
				<div class="row">
				<div class="col-md-6">
				<div class="form-group">
                <label class="control-label">Eklenecek Modülü Seçiniz</label>
				<select name="modul_deger" class="form-control">
				<option value="servisler">Servisler</option>
				<option value="bloglar">Bloglar</option>
				<option value="hizmetler">Hizmetler</option>
				<option value="fotogaleri">Fotoğraf Galerisi</option>
				<option value="videogaleri">Video Galerisi</option>
				<option value="musteri-yorumlari">Müşteri Yorumları</option>
				<option value="paketler">Paketler</option>
				<option value="projeler">Projeler</option>
				<option value="referanslar">Referanslar</option>
				<option value="sayaclar">Sayaçlar</option>
				<option value="urunler">Ürünler</option>
				<option value="bannerlar">Bannerlar</option>
				<option value="hizmet-bolgeleri">Hizmet Bölgeleri</option>
				</select>
                <small class="form-control-feedback">Anasayfaya eklenecek modülü seçiniz.</small> 
				</div>
				</div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Gösterilecek Dil</label>
                <select name="veri_dil" class="form-control">
			
				<?php
				$dil_al = mysql_query("SELECT * FROM diller ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($dil_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				
				if($menu_dil_getir == $id){}else{
				echo '<option value="'.$id.'">'.$baslik.'</option>';
				}
				}
				?>
				</select>
				<small class="form-control-feedback">Modülün gösterileceği dili seçiniz.</small>
                </div>
				</div>
				
				</div>
			
				</div>
				
				
				</div>
                
			
				
				
				
				</div>
                
			
                <div class="card-body">
                
                <div class="form-body">
                         
                   
                </div>
                <div class="form-actions">
                <?php if($kontrol_kullanici_yetki == "1"){?>
                <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> Kaydet</button>
				<?php }else{echo '<a class="btn btn-primary text-white" data-toggle="modal" data-target="#uyari-modal"> <i class="fa fa-check"></i> Kaydet</a>'; }?>
                </div>
				</form>
                </div>
                </div>
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->
				
				
				
				
				
				
				
				<!-- ################### -->
				<!-- İçerik Düzenleme Alanı -->
				<!-- ################### -->


				<?php 
				$ileri = g('ileri');
				$id = g('id');
				switch($ileri){
				case "duzenle":

				$modul_v1 = p('modul_v1');
				$modul_v2 = p('modul_v2');
				$modul_v3 = p('modul_v3');
 

				$duzenle = mysql_query("update asayfa_ayar set 
				modul_v1='$modul_v1',
				modul_v2='$modul_v2',
				modul_v3='$modul_v3'

				where id='$id'") or die("Hata Olustu!");	

				echo '<meta http-equiv="refresh" content="0;URL=asayfa.php?durum=duzenleme-basarili"> ';
				break;
				}
				?>	



				<?php if($islem == "duzenle"){?>
				
				<?php 
				// Seçilen içeriğin detaylarını getiriyoruz
				$idal = g("id");
				$verit = g("verit");
				$icerik_getir=mysql_query("SELECT * FROM asayfa_ayar WHERE id='$idal'"); 
				$getir=mysql_fetch_array($icerik_getir); 
				$modul_v1 = $getir['modul_v1'];
				$modul_v2 = $getir['modul_v2'];
			
				?>
			
				<div class="col-lg-12">
                <div class="card card-outline-inverse">
                <div class="card-header">
                <h4 class="m-b-0 text-white">
				<?php if($verit == "urunler"){?>Ürün Modülünü Düzenle<?php } ?>
				<?php if($verit == "paketler"){?>Paketler Modülünü Düzenle<?php } ?>
				</h4>
                </div>
				
				
				
				<form action="asayfa.php?islem=yeni&ileri=duzenle&id=<?php echo "$idal";?>" method="post" enctype="multipart/form-data">
				
				<div class="row p-t-20">
			
				<div class="col-md-12">
				
				<?php if($verit == "urunler"){?>
				
				<div class="col-md-12">
                <div class="form-group">
                <label class="control-label">Alanda Gösterilecek Olan Ürün Kategorisi</label>
                <select name="modul_v1" class="form-control">
				<?php
				$icerik_getir = mysql_query("SELECT * FROM urun_kategori WHERE id='$modul_v1'");
				$getir=mysql_fetch_array($icerik_getir); 
				$defm4 = $getir['baslik'];
				$defm4id = $getir['id'];
				if(empty($defm4)){echo '<option value="">Seçiniz</option>';}else{
				echo "<option value='$defm4id'>$defm4</option>";}	
				
				
				$kat_al = mysql_query("SELECT * FROM urun_kategori ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($kat_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				
				if($modul_v1 == $id){}else{
				echo '<option value="'.$id.'">'.$baslik.'</option>';
				}
				}
				?>
				
				</select>
				<small class="form-control-feedback">Bu alanda gösterilecek olan ürün kategorisini seçiniz.</small>
                </div>
				</div>
				
				<div class="col-md-12">
				<div class="form-group">
				<label class="control-label">Alan Gösterim Şekli</label>
				<div class="m-b-10">
				<div class="row">
				
				<div class="col-lg-6">
				<label class="custom-control custom-radio">
				<input id="radio3" name="modul_v2" type="radio" class="custom-control-input"  value="1" <?php if($modul_v2 == "1"){ echo "checked ";} ?>>
				<span class="custom-control-label"><img src="../vi-includes/moduller/manset/1a.png" class="img-fluid" style="border:1px solid #bbbbbb;"></span>
				</label>
				</div>
				
				<div class="col-lg-6">
				<label class="custom-control custom-radio">
				<input id="radio4" name="modul_v2" type="radio" class="custom-control-input" value="2" <?php if($modul_v2 == "2"){ echo "checked ";} ?>>
				<span class="custom-control-label"><img src="../vi-includes/moduller/manset/2a.png" class="img-fluid" style="border:1px solid #bbbbbb;"></span>
				</label>
				</div>
				
				<div class="col-lg-6">
				<label class="custom-control custom-radio">
				<input id="radio5" name="modul_v2" type="radio" class="custom-control-input" value="3" <?php if($modul_v2 == "3"){ echo "checked ";} ?>>
				<span class="custom-control-label"><img src="../vi-includes/moduller/manset/3a.png" class="img-fluid" style="border:1px solid #bbbbbb;"></span>
				</label>
				</div>
				
				<div class="col-lg-6">
				<label class="custom-control custom-radio">
				<input id="radio5" name="modul_v2" type="radio" class="custom-control-input" value="4" <?php if($modul_v2 == "4"){ echo "checked ";} ?>>
				<span class="custom-control-label"><img src="../vi-includes/moduller/manset/4a.png" class="img-fluid" style="border:1px solid #bbbbbb;"></span>
				</label>
				</div>
				
				</div>
				</div>
				<small class="form-control-feedback"> Alanın gösterim şekli ve yerleşimini seçiniz. </small>
				</div>
				</div>
				
				<?php } ?>
				
				
				
				
				<?php if($verit == "paketler"){?>
				
				<div class="col-md-12">
                <div class="form-group">
                <label class="control-label">Alanda Gösterilecek Olan Paket Kategorisi</label>
                <select name="modul_v1" class="form-control">
				<?php
				$icerik_getir = mysql_query("SELECT * FROM paket_kategori WHERE id='$modul_v1'");
				$getir=mysql_fetch_array($icerik_getir); 
				$defm4 = $getir['baslik'];
				$defm4id = $getir['id'];
				if(empty($defm4)){echo '<option value="">Seçiniz</option>';}else{
				echo "<option value='$defm4id'>$defm4</option>";}	
				
				
				$kat_al = mysql_query("SELECT * FROM paket_kategori ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($kat_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				
				if($modul_v1 == $id){}else{
				echo '<option value="'.$id.'">'.$baslik.'</option>';
				}
				}
				?>
				
				</select>
				<small class="form-control-feedback">Bu alanda gösterilecek olan paket kategorisini seçiniz.</small>
                </div>
				</div>
				
		
				
				<?php } ?>
							
		
				</div>
		
        
				
                </div>
				
                <div class="card-body">
          
                <div class="form-actions">
                <?php if($kontrol_kullanici_yetki == "1"){?>
                <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> Güncelle</button>
				<?php }else{echo '<a class="btn btn-primary text-white" data-toggle="modal" data-target="#uyari-modal"> <i class="fa fa-check"></i> Güncelle</a>'; }?>
                </div>
				</form>
                </div>
                </div>
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- İçerik Düzenleme Alanı -->
				<!-- ################### -->				
				
				
				
				<?php if(empty($islem)){?>
				<div class="table-responsive">
                <table class="table">
                <thead>
                <tr>
                <th>Sıra</th>
                <th>Modül Adı</th>
                <th>Ek Alan</th>
                <th>İşlemler</th>
                </tr>
                </thead>
                <tbody id="sortable">
				<?php
				if(empty($dilgoster)){ $icerik_al = mysql_query("SELECT * FROM asayfa_ayar WHERE veri_dil='1' ORDER BY modul_sira ASC limit 0,999"); }else{
				$icerik_al = mysql_query("SELECT * FROM asayfa_ayar WHERE veri_dil='$dilgoster' ORDER BY modul_sira ASC limit 0,999");}
				
				while($yaz=mysql_fetch_array($icerik_al)){
				$id = $yaz['id'];
				$modul_tanim = $yaz['modul_tanim'];
				$modul_v1 = $yaz['modul_v1'];
				$modul_deger = $yaz['modul_deger'];
				
				if($modul_deger == "urunler"){
				if(empty($modul_v1)){$mv1 = "-";}else{
				
				$icerik_getir = mysql_query("SELECT * FROM urun_kategori WHERE id='$modul_v1'");
				$getir=mysql_fetch_array($icerik_getir); 
				$defm4 = $getir['baslik'];
				
				$modul_v1 = $defm4;}
				}
				
				if($modul_deger == "paketler"){
				if(empty($modul_v1)){$mv1 = "-";}else{
				
				$icerik_getir = mysql_query("SELECT * FROM paket_kategori WHERE id='$modul_v1'");
				$getir=mysql_fetch_array($icerik_getir); 
				$defm4 = $getir['baslik'];
				
				$modul_v1 = $defm4;}
				}
				
	
				echo "
				<tr id='item-$id'>
				<td class='sortable'><i class='fa fa-sort'></i></td>
                <td>$modul_tanim</td>
                <td>$modul_v1</td>
                <td>
				";
				if($modul_deger == "urunler"){echo "<a href='asayfa.php?islem=duzenle&id=$id&verit=urunler'> <button class='btn btn-info btn-sm' title='Düzenle'><i class='fa fa-pencil-square-o' aria-hidden='true'></i></button></a> ";}
				if($modul_deger == "paketler"){echo "<a href='asayfa.php?islem=duzenle&id=$id&verit=paketler'> <button class='btn btn-info btn-sm' title='Düzenle'><i class='fa fa-pencil-square-o' aria-hidden='true'></i></button></a> ";}
				if($kontrol_kullanici_yetki == "1"){echo "<a href='#' data-toggle='modal' data-target='#sil-modal$id'>";}else{echo "<a href='#' data-toggle='modal' data-target='#uyari-modal'>";}echo"<button class='btn btn-danger btn-sm' title='Sil'><i class='fa fa-trash-o' aria-hidden='true'></i></button>
				</td>
                </tr>
				";
				}?>
                
				<?php
				$icerik_al = mysql_query("SELECT * FROM asayfa_ayar ORDER BY id DESC limit 0,999");
				while($yaz=mysql_fetch_array($icerik_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];	
			
				echo '
			
				<div id="sil-modal'.$id.'" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
				<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
				<h4 class="modal-title"><i class="fa fa-times" aria-hidden="true"></i> Modülü kaldır</h4>
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				</div>
				<div class="modal-body">
				<p>Bu modülü kaldırmayı gerçekten istiyormusunuz?</p>
				</div>
				<div class="modal-footer">
				<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Hayır</button>
				<a href="asayfa.php?sil=sil&id='.$id.'"><button type="button" class="btn btn-danger waves-effect waves-light">Evet</button></a>
				</div>
				</div>
				</div>
				</div>
				';
				}?>    
				
                </tbody>
                </table>
                </div>
				
		<style type="text/css">
		.sortable { cursor: move; }
		</style>
		<script type="text/javascript">
		$(function() {
		$( "#sortable" ).sortable({
		
		
		revert: true,
		handle: ".sortable",
		stop: function (event, ui) {
		var data = $(this).sortable('serialize');
		<?php if($kontrol_kullanici_yetki == "1"){}else{?>
		swal({   
		title: "Demo Kullanıcı",   
		text: "Sistemi demo olarak incelendiğiniz için sıralama kayıt edilmeyecek.",   
		type: "warning",   
	
        }, );
		<?php } ?>
		$.ajax({
		type: "POST",
		dataType: "json",
		data: data,
		<?php if($kontrol_kullanici_yetki == "1"){?>url: "core/home-ranking.php?p=sirala",<?php } ?>
		success: function(msg){

		}
		});	                      				
		}
		});
		$( "#sortable" ).disableSelection();	                      		
		});	                      	
		</script>
		
				<?php } ?>				
								
    
                </div>
                </div>
				</div>
                </div>
				</div>


	
<?php
include ("alt.php");
}
?>